package com.hp.user.client.entity;

import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="HighVoltageCabinetVO对象", description="勘察设备高压开关")
public class HighVoltageCabinetVO {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	@ApiModelProperty(value = "柜id")
    private String deviceId;

    @ApiModelProperty(value = "设备名称")
    private String deviceName;

    @ApiModelProperty(value = "电压等级；10KV、20KV、35KV")
    private String voltageLevel;

    @ApiModelProperty(value = "型号；GG-1A，XGN，HXGN，JYN，KYN  SF6")
    private String model;

    @ApiModelProperty(value = "厂家")
    private String manufactor;

    @ApiModelProperty(value = "出厂年月")
    private String productionDate;

    @ApiModelProperty(value = "继电保护型号")
    private String relayProtectionModel;

    @ApiModelProperty(value = "继电保护厂家")
    private String relayProtectionManufactor;

    @ApiModelProperty(value = "继电保护通讯类型")
    private String communicationType;

    @ApiModelProperty(value = "配电房id")
    private String substationId;

    @ApiModelProperty(value = "更新时间")
    private Date sysUpdateTime;

    @ApiModelProperty(value = "更新者")
    private String sysUpdater;

    @ApiModelProperty(value = "创建时间")
    private Date sysCreateTime;

    @ApiModelProperty(value = "创建者")
    private String sysCreator;
	
	@ApiModelProperty(value = "设备类型")
	private String deviceType;
	@ApiModelProperty(value = "二维吗oss地址")
	private String ossUrl;
	@ApiModelProperty(value = "设备类型Id")
	private String deviceTypeId;
	
	

}
