package com.hp.user.client.entity;

import java.util.Date;


import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 巡检计划
 * </p>
 *
 * @author yeqid
 * @since 2021-03-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="InspectionPlan对象", description="巡检计划")
public class InspectionPlanVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "计划id")
    private String planId;

    @ApiModelProperty(value = "任务类型")
    private String taskType;

    @ApiModelProperty(value = "周期类型；1:按月")
    private Short cycleType;

    @ApiModelProperty(value = "执行日,允许多个值，比如每月的3号和20号执行巡检，则填写'3,20'用逗号隔开")
    private String cycleDay;

    @ApiModelProperty(value = "任务描述")
    private String taskDescribe;

    @ApiModelProperty(value = "计划状态；0:草稿；1:发布")
    private Short planStatus;

    @ApiModelProperty(value = "班组id")
    private String groupId;

    @ApiModelProperty(value = "是否删除，0（default）/1：未删除/删除")
    private Short sysDeleted;

    @ApiModelProperty(value = "修改时间")
    private Date sysUpdateTime;

    private String sysUpdater;

    @ApiModelProperty(value = "创建时间")
    private Date sysCreateTime;

    @ApiModelProperty(value = "创建者")
    private String sysCreator;

    @ApiModelProperty(value = "计划开始时间:2021-03-21")
    private String planStart;

    @ApiModelProperty(value = "计划结束时间:2021-03-24")
    private String planEnd;

    @ApiModelProperty(value = "巡检时间:2021-04-01 12:00-20:00")
    private String inspectionTime;
    
    @ApiModelProperty(value = "站点id")
    private String stationIds;
//    @ApiModelProperty(value = "电工id，多个用‘,’隔开")
//    private String electricianIds;


}
