package com.hp.user.client.entity;

import java.util.Date;
import java.io.Serializable;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * <p>
 * 勘察设备高压开关
 * </p>
 *
 * @author yeqid
 * @since 2021-03-07
 */
@Data
@Accessors(chain = true)
public class SurveyHighVoltageSwitchCabinet implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 柜id
     */
    private String deviceId;

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 电压等级；10KV、20KV、35KV
     */
    private String voltageLevel;

    /**
     * 型号；GG-1A，XGN，HXGN，JYN，KYN  SF6
     */
    private String model;
    
    

    /**
     * 厂家
     */
    private String manufactor;

    /**
     * 出厂年月
     */
    private String productionDate;

    /**
     * 继电保护型号
     */
    private String relayProtectionModel;

    /**
     * 继电保护厂家
     */
    private String relayProtectionManufactor;

    /**
     * 继电保护通讯类型
     */
    private String communicationType;

    /**
     * 配电房id
     */
    private String substationId;

    /**
     * 更新时间
     */
    private Date sysUpdateTime;

    /**
     * 更新者
     */
    private String sysUpdater;

    /**
     * 创建时间
     */
    private Date sysCreateTime;

    /**
     * 创建者
     */
    private String sysCreator;


}
