package com.hp.user.client.entity;

import java.util.Date;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 勘察低压开关柜
 * </p>
 *
 * @author yeqid
 * @since 2021-03-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="SurveyLowVoltageSwitchCabinet对象", description="勘察低压开关柜")
public class SurveyLowVoltageSwitchCabinetVO implements Serializable {

    private static final Long serialVersionUID = 1L;

    @ApiModelProperty(value = "柜id")
    private String deviceId;

    @ApiModelProperty(value = "设备名称")
    private String deviceName;

    @ApiModelProperty(value = "柜型，GCK，GGD,  GCS,  MNS,  GDFX,  L-21")
    private String cabinetModel;
    
    @ApiModelProperty(value = "柜型，GCK数量")
    private Integer gckModelNumber;
    
    @ApiModelProperty(value = "柜型，GGD数量")
    private Integer ggdModelNumber;
    
    @ApiModelProperty(value = "柜型，GCS数量")
    private Integer gcsModelNumber;
    
    @ApiModelProperty(value = "柜型，MNS数量")
    private Integer mnsModelNumber;
    
    @ApiModelProperty(value = "柜型，GDFX数量")
    private Integer gdfxModelNumber;
    
    @ApiModelProperty(value = "柜型，L-21数量")
    private Integer l21ModelNumber;

    @ApiModelProperty(value = "总回路数")
    private String circuitTotal;

    @ApiModelProperty(value = "总负载率")
    private String loadRate;

    @ApiModelProperty(value = "表记型号")
    private String meterModel;

    @ApiModelProperty(value = "表记厂家")
    private String meterManufactor;

    @ApiModelProperty(value = "通讯类型")
    private String communicationType;

    @ApiModelProperty(value = "配电房id")
    private String substationId;

    @ApiModelProperty(value = "更新时间")
    private Date sysUpdateTime;

    @ApiModelProperty(value = "更新者")
    private String sysUpdater;

    @ApiModelProperty(value = "创建时间")
    private Date sysCreateTime;

    @ApiModelProperty(value = "创建者")
    private String sysCreator;


}
