package com.hp.user.client.entity;

import java.util.Date;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 配电房
 * </p>
 *
 * @author yeqid
 * @since 2021-03-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="SurveySubstation对象", description="配电房")
public class SurveySubstationVO implements Serializable {

    private static final Long serialVersionUID = 1L;

    private String deviceId;

    private String deviceName;

    @ApiModelProperty(value = "站点id")
    private String stationId;

    @ApiModelProperty(value = "配电房位置；室内、室外")
    private String position;

    @ApiModelProperty(value = "配电房户外位置，地上、地下")
    private String outsidePosition;

    @ApiModelProperty(value = "进出线数量")
    private Integer incomingOutgoingLinesNumber;

    @ApiModelProperty(value = "进出线名称")
    private String incomingOutgoingLinesName;

    @ApiModelProperty(value = "一二次工程竣工图纸")
    private String primarySecondaryBuiltDrawings;

    @ApiModelProperty(value = "一次模拟图板")
    private String primarySimulationBoard;

    @ApiModelProperty(value = "上墙制度")
    private String wallSystem;

    @ApiModelProperty(value = "铭牌标志清晰度")
    private String nameplatesClarity;

    @ApiModelProperty(value = "铭牌完整度；完整、缺失")
    private String nameplatesIntegrity;

    @ApiModelProperty(value = "操作工器具;齐全、缺失")
    private String operationTools;

    @ApiModelProperty(value = "后台监控设备")
    private String backgroundMonitoring;

    @ApiModelProperty(value = "安全工具")
    private String safetyTools;

    @ApiModelProperty(value = "现场网络情况：1）4G   2）5G   3）光纤 4）网线")
    private String network;

    @ApiModelProperty(value = "小动物防御措施")
    private String smallAnimalDefense;

    @ApiModelProperty(value = "消防设施；.1、灭火器 、2、防火封堵 3、应急照明")
    private String fireFightingFacilities;

    @ApiModelProperty(value = "配电房卫生照片")
    private String sanitationPicture;

    @ApiModelProperty(value = "其他")
    private String other;

    @ApiModelProperty(value = "更新时间")
    private Date sysUpdateTime;

    @ApiModelProperty(value = "更新者")
    private String sysUpdater;

    @ApiModelProperty(value = "创建时间")
    private Date sysCreateTime;

    @ApiModelProperty(value = "创建者")
    private String sysCreator;


}
