package com.hp.user.client.entity;

import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="Transformer对象", description="变压器")
public class TransformerVO {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	@ApiModelProperty(value = "变压器id")
    private String deviceId;

    @ApiModelProperty(value = "变压器名称")
    private String deviceName;

    @ApiModelProperty(value = "变压器等级；10kV；20kV；35KV")
    private String voltageLevel;

    @ApiModelProperty(value = "额定容量")
    private String ratedCapacity;
    
    @ApiModelProperty(value = "额定容量630数量")
    private Integer ratedCapacity630NUmber;
    
    @ApiModelProperty(value = "额定容量1000数量")
    private Integer ratedCapacity1000Number;
    
    @ApiModelProperty(value = "额定容量1250数量")
    private Integer ratedCapacity1250Number;
    
    @ApiModelProperty(value = "额定容量16000数量")
    private Integer ratedCapacity16000Number;

    @ApiModelProperty(value = "冷却方式；干式变压器、油浸式变压器、氟化物变压器")
    private String coolingMode;

    @ApiModelProperty(value = "变压器型号")
    private String model;

    @ApiModelProperty(value = "温控器型号")
    private String temperatureControllerMode;

    @ApiModelProperty(value = "温控器厂家")
    private String temperatureControllerManufactor;

    @ApiModelProperty(value = "通讯类别")
    private String communicationType;

    @ApiModelProperty(value = "配电房id")
    private String substationId;

    @ApiModelProperty(value = "更新时间")
    private Date sysUpdateTime;

    @ApiModelProperty(value = "更新者")
    private String sysUpdater;

    @ApiModelProperty(value = "创建时间")
    private Date sysCreateTime;

    @ApiModelProperty(value = "创建者")
    private String sysCreator;
	
	@ApiModelProperty(value = "设备类型")
	private String deviceType;
	@ApiModelProperty(value = "二维吗oss地址")
	private String ossUrl;
	@ApiModelProperty(value = "设备类型ID")
	private String deviceTypeId;
	
	@ApiModelProperty(value = "投运日期；2021-05-01")
	private String commissioningDate;
	@ApiModelProperty(value = "防护等级")
	private String protectionLevel;
	@ApiModelProperty(value = "厂家")
	private String manufactor;

	
	

}
