package com.hp.user.client.service;

import com.hp.user.client.entity.DataResult;
import com.hp.user.client.entity.InspectionPlanVO;
import com.hp.user.client.entity.ListResult;
import com.hp.user.client.entity.PageQuery;
import com.hp.user.client.entity.PageResult;
import com.hp.user.client.entity.PlanForUserVO;
import com.hp.user.client.entity.PlanVO;
import com.hp.user.client.entity.Result;

public interface InspectionPlanService {

	/**
	 * 添加巡检计划
	 * @param inspectionPlanVO
	 * @return
	 */
	public Result createInspectionPlan(InspectionPlanVO inspectionPlanVO);
	
	/**
	 * 修改巡检计划
	 * @param inspectionPlanVO
	 * @return
	 */
	public Result updateInspectionPlan(InspectionPlanVO inspectionPlanVO);
	
	/**
	 * 根据条件查询巡检计划
	 * @param query
	 * @return
	 */
	public PageResult<PlanVO> queryInspectionPlanByPageQuery(PageQuery query);
	
	/**
	 * 根据id删除计划
	 * @param planId
	 * @return
	 */
	public Result deleteInspectionPlan(String planId);
	
	/**
	 * 根据id查询
	 * @param planId
	 * @return
	 */
	public DataResult<InspectionPlanVO> queryInspectionPlanById(String planId);
	
	public ListResult<PlanForUserVO> queryInspectionPlanByCompanyId(String phone);
	
	public Result distribution(String planId,String groupId,String electricianIds);
}

