package com.hp.user.client.service;


import java.util.List;

import com.hp.user.client.entity.DataResult;
import com.hp.user.client.entity.InspectionResultVO;
import com.hp.user.client.entity.ListResult;
import com.hp.user.client.entity.Result;

/**
 * 巡检结果
 * @author yeqid
 *
 */
public interface InspectionResultService {
	
	/**
	 * 添加巡检结果
	 * @param inspectionResultVO
	 * @return
	 */
	public Result createInspectionResult(List<InspectionResultVO> inspectionResultVOList);
	
	/**
	 * 更新巡检结果
	 * @param inspectionResultVO
	 * @return
	 */
	public Result updateInspectionResult(List<InspectionResultVO> inspectionResultVOList);
	
	/**
	 * 查询巡检结果
	 * @param workOrderId
	 * @param deviceId
	 * @return
	 */
	public ListResult<InspectionResultVO> queryInspectionResult(String workOrderId,String deviceId);
	
	/**
	 * 根据工单id查询巡检结果
	 * @param workOrderId
	 * @param deviceId
	 * @return
	 */
	public DataResult<String> queryInspectionResultByWorkOrderId(String workOrderId,String phone);

	/**
	 * 根据工单查询巡检异常的个数
	 * @param workOrderId
	 * @return
	 */
	public DataResult<Integer> queryInspectionResultAbnormalStatusCountByWorkOrderId(String workOrderId);

}
