package com.hp.user.service.controller;

import org.apache.dubbo.config.annotation.Reference;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.hp.user.client.entity.DataResult;
import com.hp.user.client.entity.HighVoltageCabinetVO;
import com.hp.user.client.entity.HighVoltageDrawerVO;
import com.hp.user.client.entity.InspectionContentVO;
import com.hp.user.client.entity.ListResult;
import com.hp.user.client.entity.LowVoltageCabinetVO;
import com.hp.user.client.entity.LowVoltageDrawerVO;
import com.hp.user.client.entity.Result;
import com.hp.user.client.entity.SubstationVO;
import com.hp.user.client.entity.SurveyDcScreenVO;
import com.hp.user.client.entity.SurveyHighVoltageSwitchCabinetVO;
import com.hp.user.client.entity.SurveyLowVoltageSwitchCabinetVO;
import com.hp.user.client.entity.SurveyReactivePowerCompensationVO;
import com.hp.user.client.entity.SurveySubstationDeviceVO;
import com.hp.user.client.entity.SurveySubstationVO;
import com.hp.user.client.entity.SurveyTransformerVO;
import com.hp.user.client.entity.TransformerVO;
import com.hp.user.client.entity.TreeVO;
import com.hp.user.client.service.DeviceManagerService;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;

@Api(tags = "设备管理")
@RestController
@RequestMapping("/user/device")
public class DeviceManagerController {
	
	@Reference
	private DeviceManagerService deviceManagerService;
	
	
	@ApiOperation(value = "添加配电房" ,notes = "添加配电房", httpMethod = "POST")
	@RequestMapping("/createSubstation")
	public Result createSubstation(@RequestBody SubstationVO substationVO) {
		Result result = new Result();
		result = deviceManagerService.createSubstation(substationVO);
		return result;
	}
	
	@ApiOperation(value = "根据站点查询配电房" ,notes = "根据站点查询配电房", httpMethod = "GET")
	@RequestMapping("/querySubstationByStationId")
	public ListResult<SubstationVO> querySubstationByStationId(String stationId) {
		ListResult<SubstationVO> result = new ListResult<SubstationVO>();
		result = deviceManagerService.querySubstationByStationId(stationId);
		return result;
	}
	
	@ApiOperation(value = "更新配电房" ,notes = "更新配电房", httpMethod = "POST")
	@RequestMapping("/updateSubstation")
	public Result updateSubstation(@RequestBody SubstationVO substationVO) {
		Result result = new Result();
		result = deviceManagerService.updateSubstation(substationVO);
		return result;
	}
	
	@ApiOperation(value = "查询配电房" ,notes = "查询配电房", httpMethod = "GET")
	@RequestMapping("/querySubstationById")
	public DataResult<SubstationVO> querySubstationById(String id) {
		DataResult<SubstationVO> result = new DataResult<SubstationVO>();
		result = deviceManagerService.querySubstationById(id);
		return result;
	}
	
	@ApiOperation(value = "添加变压器" ,notes = "添加变压器", httpMethod = "POST")
	@RequestMapping("/createTransformer")
	public Result createTransformer(@RequestBody TransformerVO transformerVO) {
		Result result = new Result();
		result = deviceManagerService.createTransformer(transformerVO);
		return result;
	}
	
//	@ApiOperation(value = "添加配电房" ,notes = "添加配电房", httpMethod = "POST")
//	@RequestMapping("/createSubstation")
//	public Result createSubstation(SurveySubstationVO surveySubstationVO) {
//		Result result = new Result();
//		result = deviceManagerService.createSubstation(surveySubstationVO);
//		return result;
//	}
//	
//	@ApiOperation(value = "根据站点查询配电房" ,notes = "根据站点查询配电房", httpMethod = "GET")
//	@RequestMapping("/querySubstationByStationId")
//	public ListResult<SurveySubstationVO> querySubstationByStationId(String stationId) {
//		ListResult<SurveySubstationVO> result = new ListResult<SurveySubstationVO>();
//		result = deviceManagerService.querySubstationByStationId(stationId);
//		return result;
//	}
	
//	@ApiOperation(value = "更新配电房" ,notes = "更新配电房", httpMethod = "POST")
//	@RequestMapping("/updateSubstation")
//	public Result updateSubstation(SurveySubstationVO surveySubstationVO) {
//		Result result = new Result();
//		result = deviceManagerService.updateSubstation(surveySubstationVO);
//		return result;
//	}
	
	
	@ApiOperation(value = "根据配电id查询变压器" ,notes = "根据配电id查询变压器", httpMethod = "GET")
	@RequestMapping("/queryTransformerBySubStationId")
	public ListResult<TransformerVO> queryTransformerBySubStationId(String subStationId) {
		ListResult<TransformerVO> result = new ListResult<TransformerVO>();
		result = deviceManagerService.queryTransformerBySubStationId(subStationId);
		return result;
	}
	
	@ApiOperation(value = "更新变压器" ,notes = "更新变压器", httpMethod = "POST")
	@RequestMapping("/updateTransformer")
	public Result updateTransformer(@RequestBody TransformerVO TransformerVO) {
		Result result = new Result();
		result = deviceManagerService.updateTransformer(TransformerVO);
		return result;
	}
	
	@ApiOperation(value = "根据id查询变压器" ,notes = "根据id查询变压器", httpMethod = "GET")
	@RequestMapping("/queryTransformerById")
	public DataResult<TransformerVO> queryTransformerById(String Id) {
		DataResult<TransformerVO> result = new DataResult<TransformerVO>();
		result = deviceManagerService.queryTransformerById(Id);
		return result;
	}
	
	@ApiOperation(value = "添加高压柜" ,notes = "添加高压柜", httpMethod = "POST")
	@RequestMapping("/createHighVoltageCabinet")
	public Result createHighVoltageCabinet(@RequestBody HighVoltageCabinetVO highVoltageCabinetVO) {
		Result result = new Result();
		result = deviceManagerService.createHighVoltageCabinet(highVoltageCabinetVO);
		return result;
	}
	
	
	
	
	
	@ApiOperation(value = "根据配电id查询高压柜" ,notes = "根据配电id查询高压柜", httpMethod = "GET")
	@RequestMapping("/queryHighVoltageCabinetBySubStationId")
	public ListResult<HighVoltageCabinetVO> queryHighVoltageCabinetBySubStationId(String subStationId) {
		ListResult<HighVoltageCabinetVO> result = new ListResult<HighVoltageCabinetVO>();
		result = deviceManagerService.queryHighVoltageCabinetBySubStationId(subStationId);
		return result;
	}
	
	@ApiOperation(value = "根据id查询高压柜" ,notes = "根据id查询高压柜", httpMethod = "GET")
	@RequestMapping("/queryHighVoltageCabinetById")
	public DataResult<HighVoltageCabinetVO> queryHighVoltageCabinetById(String Id) {
		DataResult<HighVoltageCabinetVO> result = new DataResult<HighVoltageCabinetVO>();
		result = deviceManagerService.queryHighVoltageCabinetById(Id);
		return result;
	}
	
	@ApiOperation(value = "更新高压柜" ,notes = "更新高压柜", httpMethod = "POST")
	@RequestMapping("/updateHighVoltageCabinet")
	public Result updateHighVoltageCabinet(@RequestBody HighVoltageCabinetVO highVoltageCabinetVO) {
		Result result = new Result();
		result = deviceManagerService.updateHighVoltageCabinet(highVoltageCabinetVO);
		return result;
	}
	
	@ApiOperation(value = "添加低压柜" ,notes = "添加低压柜", httpMethod = "POST")
	@RequestMapping("/createLowVoltageCabinet")
	public Result createLowVoltageCabinet(@RequestBody LowVoltageCabinetVO lowVoltageCabinetVO) {
		Result result = new Result();
		result = deviceManagerService.createLowVoltageCabinet(lowVoltageCabinetVO);
		return result;
	}
	
	@ApiOperation(value = "根据配电id查询低压柜" ,notes = "根据配电id查询低压柜", httpMethod = "GET")
	@RequestMapping("/queryLowVoltageCabinetBySubStationId")
	public ListResult<LowVoltageCabinetVO> queryLowVoltageCabinetBySubStationId(String subStationId) {
		ListResult<LowVoltageCabinetVO> result = new ListResult<LowVoltageCabinetVO>();
		result = deviceManagerService.queryLowVoltageCabinetBySubStationId(subStationId);
		return result;
	}
	
	@ApiOperation(value = "根据id查询低压柜" ,notes = "根据id查询低压柜", httpMethod = "GET")
	@RequestMapping("/queryLowVoltageCabinetById")
	public DataResult<LowVoltageCabinetVO> queryLowVoltageCabinetById(String Id) {
		DataResult<LowVoltageCabinetVO> result = new DataResult<LowVoltageCabinetVO>();
		result = deviceManagerService.queryLowVoltageCabinetById(Id);
		return result;
	}
	
	@ApiOperation(value = "更新低压柜" ,notes = "更新低压柜", httpMethod = "POST")
	@RequestMapping("/updateLowVoltageCabinet")
	public Result updateLowVoltageCabinet(@RequestBody LowVoltageCabinetVO lowVoltageCabinetVO) {
		Result result = new Result();
		result = deviceManagerService.updateLowVoltageCabinet(lowVoltageCabinetVO);
		return result;
	}
	
	
	@ApiOperation(value = "添加高压柜抽屉" ,notes = "更新低压开关柜", httpMethod = "POST")
	@RequestMapping("/createHighVoltageCabinetDrawer")
	public Result createHighVoltageCabinetDrawer(@RequestBody HighVoltageDrawerVO highVoltageDrawerVO) {
		
		return deviceManagerService.createHighVoltageCabinetDrawer(highVoltageDrawerVO);
	}
	
	@ApiOperation(value = "修改高压柜抽屉" ,notes = "修改高压柜抽屉", httpMethod = "POST")
	@RequestMapping("/updateHighVoltageCabinetDrawer")
	public Result updateHighVoltageCabinetDrawer(@RequestBody HighVoltageDrawerVO highVoltageDrawerVO) {
		
		return deviceManagerService.updateHighVoltageCabinetDrawer(highVoltageDrawerVO);
	}
	
	@ApiOperation(value = "查询高压柜抽屉" ,notes = "查询高压柜抽屉", httpMethod = "POST")
	@RequestMapping("/queryHighVoltageCabinetDrawerByCabinetId")
	public ListResult<HighVoltageDrawerVO> queryHighVoltageCabinetDrawerByCabinetId(String cabinetId) {
		
		return deviceManagerService.queryHighVoltageCabinetDrawerByCabinetId(cabinetId);
	}
	
	@ApiOperation(value = "根据id高压柜抽屉" ,notes = "根据id高压柜抽屉", httpMethod = "GET")
	@RequestMapping("/queryHighVoltageDrawerById")
	public DataResult<HighVoltageDrawerVO> queryHighVoltageDrawerById(String Id) {
		DataResult<HighVoltageDrawerVO> result = new DataResult<HighVoltageDrawerVO>();
		result = deviceManagerService.queryHighVoltageDrawerById(Id);
		return result;
	}
	
	
	
	@ApiOperation(value = "添加低压柜抽屉" ,notes = "添加低压柜抽屉", httpMethod = "POST")
	@RequestMapping("/createLowVoltageCabinetDrawer")
	public Result createLowVoltageCabinetDrawer(@RequestBody LowVoltageDrawerVO lowVoltageDrawerVO) {
		return deviceManagerService.createLowVoltageCabinetDrawer(lowVoltageDrawerVO);
	}
	
	@ApiOperation(value = "修改低压柜抽屉" ,notes = "修改低压柜抽屉", httpMethod = "POST")
	@RequestMapping("/updateLowVoltageCabinetDrawer")
	public Result updateLowVoltageCabinetDrawer(@RequestBody LowVoltageDrawerVO lowVoltageDrawerVO) {
		
		return deviceManagerService.updateLowVoltageCabinetDrawer(lowVoltageDrawerVO);
	}
	
	@ApiOperation(value = "查询低压柜抽屉" ,notes = "查询低压柜抽屉", httpMethod = "POST")
	@RequestMapping("/queryLowVoltageCabinetDrawerByCabinetId")
	public ListResult<LowVoltageDrawerVO> queryLowVoltageCabinetDrawerByCabinetId(String cabinetId) {
		
		return deviceManagerService.queryLowVoltageCabinetDrawerByCabinetId(cabinetId);
	}
	
	@ApiOperation(value = "根据id查询低压柜抽屉" ,notes = "根据id查询低压柜抽屉", httpMethod = "GET")
	@RequestMapping("/queryLowVoltageDrawerById")
	public DataResult<LowVoltageDrawerVO> queryLowVoltageDrawerById(String Id) {
		DataResult<LowVoltageDrawerVO> result = new DataResult<LowVoltageDrawerVO>();
		result = deviceManagerService.queryLowVoltageDrawerById(Id);
		return result;
	}
	
	@ApiOperation(value = "根据设备类型id巡检内容" ,notes = "根据设备类型id巡检内容", httpMethod = "GET")
	@RequestMapping("/queryInspectionContentByTypeId")
	public ListResult<InspectionContentVO> queryInspectionContentByTypeId(String deviceTypeId) {
		ListResult<InspectionContentVO> result = new ListResult<InspectionContentVO>();
		result = deviceManagerService.queryInspectionContentByTypeId(deviceTypeId);
		return result;
	}
	
	@ApiOperation(value = "查询其它巡检内容" ,notes = "查询其它巡检内容", httpMethod = "GET")
	@RequestMapping("/queryOtherInspectionContent")
	public ListResult<InspectionContentVO> queryOtherInspectionContent() {
		ListResult<InspectionContentVO> result = new ListResult<InspectionContentVO>();
		result = deviceManagerService.queryOtherInspectionContent();
		return result;
	}
	
	@ApiOperation(value = "根据设备id查询设备巡检项" ,notes = "根据设备id查询设备巡检项", httpMethod = "GET")
	@RequestMapping("/queryInspectionContentByDeviceId")
	public ListResult<InspectionContentVO> queryInspectionContentByDeviceId(String deviceId) {
		ListResult<InspectionContentVO> result = new ListResult<InspectionContentVO>();
		result = deviceManagerService.queryInspectionContentByDeviceId(deviceId);
		return result;
	}
	
	@ApiOperation(value = "根据设备id查询设备信息" ,notes = "根据设备id查询设备信息", httpMethod = "GET")
	@RequestMapping("/querydeviceInfoByDeviceId")
	public DataResult<Object> querydeviceInfoByDeviceId(String deviceId) {
		DataResult<Object> result = new DataResult<Object>();
		result = deviceManagerService.querydeviceInfoByDeviceId(deviceId);
		return result;
	}
	
	@ApiOperation(value = "根据父id查询下级设备" ,notes = "根据父id查询下级设备", httpMethod = "GET")
	@RequestMapping("/queryLowerDeviceByParentId")
	public ListResult<TreeVO> queryLowerDeviceByParentId(String parentId) {
		return deviceManagerService.queryLowerDeviceByParentId(parentId);
	}
	
}
