package com.hp.user.service.controller;

import org.apache.dubbo.config.annotation.Reference;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.hp.user.client.entity.DataResult;
import com.hp.user.client.entity.ElectricianGroupVO;
import com.hp.user.client.entity.PageQuery;
import com.hp.user.client.entity.PageResult;
import com.hp.user.client.entity.Result;
import com.hp.user.client.service.ElectricianGroupService;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@Api(tags = "班组")
@RestController
@RequestMapping("/user/electricianGroup")
public class ElectricianGroupController {
	
	@Reference
	private ElectricianGroupService electricianGroupService;

    @PostMapping("/createElectricianGroup")
	@ApiOperation(value ="添加班组", notes = "添加班组", httpMethod = "POST")
	public Result createElectricianGroup(@RequestBody ElectricianGroupVO electricianGroup) {
		return electricianGroupService.createElectricianGroup(electricianGroup);
	}
	
	@PostMapping("/updateElectricianGroup")
	@ApiOperation(value ="修改班组", notes = "修改班组", httpMethod = "POST")
	public Result updateElectricianGroup(@RequestBody ElectricianGroupVO electricianGroup) {
		return electricianGroupService.updateElectricianGroup(electricianGroup);
	}
	
	@ApiOperation(value ="根据id查询班组信息", notes = "根据id查询班组信息", httpMethod = "POST")
	@PostMapping("/queryElectricianGroupById")
	public DataResult<ElectricianGroupVO> queryElectricianGroupById(String electricianGroupId) {
		return electricianGroupService.queryElectricianGroupById(electricianGroupId);
	}
	
	@ApiOperation(value ="根据条件查询班组", notes = "根据条件查询班组", httpMethod = "POST")
	@PostMapping("/queryElectricianGroupByQuery")
	public PageResult<ElectricianGroupVO> queryElectricianGroupByQuery(@RequestBody PageQuery query) {
		return electricianGroupService.queryElectricianGroupByQuery(query);
	}
	
	@ApiOperation(value ="根据id删除班组", notes = "根据id删除班组", httpMethod = "POST")
	@PostMapping("/deleteElectricianGroupById")
	public Result deleteElectricianGroupById(String electricianGroupId) {
		return electricianGroupService.deleteElectricianGroupById(electricianGroupId);
	}
}
