package com.hp.user.service.controller;

import java.util.List;

import org.apache.dubbo.config.annotation.Reference;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.hp.user.client.entity.DataResult;
import com.hp.user.client.entity.InspectionResultVO;
import com.hp.user.client.entity.ListResult;
import com.hp.user.client.entity.Result;
import com.hp.user.client.service.InspectionResultService;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@Api(tags = "巡检结果管理")
@RestController
@RequestMapping("/user/inspectionResult")
public class InspectionResultController {
	
	@Reference
	private InspectionResultService inspectionResultService;
	
	@ApiOperation(value = "添加巡检结果" ,notes = "添加巡检结果", httpMethod = "POST")
	@RequestMapping("/createInspectionResult")
	public Result createInspectionResult(@RequestBody List<InspectionResultVO> inspectionResultVOList) {
		return inspectionResultService.createInspectionResult(inspectionResultVOList);
	}
	
	@ApiOperation(value = "更新巡检结果" ,notes = "更新巡检结果", httpMethod = "POST")
	@RequestMapping("/updateInspectionResult")
	public Result updateInspectionResult(@RequestBody List<InspectionResultVO> inspectionResultVOList) {
		return inspectionResultService.updateInspectionResult(inspectionResultVOList);
	}
	
	@ApiOperation(value = "查询巡检结果" ,notes = "查询巡检结果", httpMethod = "GET")
	@RequestMapping("/queryInspectionResult")
	public ListResult<InspectionResultVO> queryInspectionResult(String workOrderId,String deviceId) {
		return inspectionResultService.queryInspectionResult(workOrderId, deviceId);
	}
	
	
	@ApiOperation(value = "根据工单id查询全部巡检结果" ,notes = "根据工单id查询全部巡检结果", httpMethod = "GET")
	@RequestMapping("/queryInspectionResultByWorkOrderId")
	public DataResult<String> queryInspectionResultByWorkOrderId(String workOrderId,String phone) {
		return inspectionResultService.queryInspectionResultByWorkOrderId(workOrderId,phone);
	}
}
