package com.hp.user.service.dao;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hp.user.service.entity.CompanyAudit;
import com.hp.user.service.entity.CustomerCompany;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 企业/公司 Mapper 接口
 * </p>
 *
 * @author 王怡静
 * @since 2020-11-20
 */
public interface CustomerCompanyMapper extends BaseMapper<CustomerCompany> {
    List<CompanyAudit> selectCompanyAuditPage(Page<?> page);
    List<CompanyAudit> queryCompanyAuditPageByNameAndStatusAndCreateTime(Page<?> page, @Param("name") String name, @Param("status") Integer status, @Param("startTime") Date startTime, @Param("endTime") Date endTime);
    List<CompanyAudit> queryCluesPageOfContractUserByCreateTimeAndNameAndPhoneAndFollowAndSourceAndPush(Page<?> page,@Param("startTime") Date startTime,@Param("endTime") Date endTime,@Param("businessContact") String businessContact,@Param("phoneNumber") String phoneNumber,@Param("follow") Integer follow,@Param("source") Integer source,@Param("push") Integer push);

    @Select("select DISTINCT a.*,b.count_code as serviceCountCode from tb_customer_company a LEFT JOIN tb_electrician_group b on (a.customer_id = b.service_provider_id) ${ew.customSqlSegment}")
    List<CustomerCompany> queryServiceProviderByCountCode(@Param(Constants.WRAPPER) Wrapper<CustomerCompany> queryWrapper);
}
