package com.hp.user.service.dao;

import com.hp.user.service.entity.Electrician;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

/**
 * <p>
 * 电工表 Mapper 接口
 * </p>
 *
 * @author yeqid
 * @since 2020-12-02
 */
public interface ElectricianMapper extends BaseMapper<Electrician> {
	
	@Select("select a.*,GROUP_CONCAT(c.`value`) as tag from tb_electrician a LEFT JOIN r_electrician_role b on (a.electrician_id = b.electrician_id) LEFT JOIN tb_dictionaries c on (b.dictionaries_id = c.dictionaries_id)  ${ew.customSqlSegment} and a.sys_deleted = 0 group BY a.electrician_id")
	public List<Electrician> selectElectricianByIds(@Param(Constants.WRAPPER) Wrapper<Electrician> queryWrapper);
	@Select("select b.city_code from tb_electrician a LEFT JOIN tb_customer_company b on (a.service_provider_id = b.customer_id) ${ew.customSqlSegment} and a.sys_deleted = 0 and b.sys_deleted = 0")
	public String selectServiceProviderCity(@Param(Constants.WRAPPER) Wrapper<Electrician> queryWrapper);
//	@Select("select c.*,GROUP_CONCAT(a.`dictionaries_id`) `tag` from tb_electrician c left JOIN r_electrician_role a on (c.electrician_id = a.electrician_id) ${ew.customSqlSegment} ")
//	@Select("select c.*,GROUP_CONCAT(a.`dictionaries_id`) `tag`from tb_electrician c left JOIN (select * from r_electrician_role GROUP BY id) a on (c.electrician_id = a.electrician_id) ${ew.customSqlSegment} order by c.electrician_id Desc")
	@Select("select c.*,any_value(b.`name` )as service_provider_name ,GROUP_CONCAT(a.`dictionaries_id`) `tag`from tb_electrician c left JOIN (select * from r_electrician_role GROUP BY id) a on (c.electrician_id = a.electrician_id) left JOIN tb_customer_company b on (c.service_provider_id = b.customer_id) ${ew.customSqlSegment} order by c.electrician_id Desc")
	public <E> Page<Electrician> queryElectricianByQuey(E page,@Param(Constants.WRAPPER) Wrapper<Electrician> queryWrapper);
//	@Select("select c.*,GROUP_CONCAT(a.`dictionaries_id`) `tag` from tb_electrician c left JOIN r_electrician_role a on (c.electrician_id = a.electrician_id) ${ew.customSqlSegment} ")
	@Select("select c.*,any_value(b.`name`) as service_provider_name,GROUP_CONCAT(a.`dictionaries_id`) `tag` from tb_electrician c left JOIN r_electrician_role a on (c.electrician_id = a.electrician_id) left JOIN tb_customer_company b on (c.service_provider_id = b.customer_id) ${ew.customSqlSegment} ")
	public List<Electrician> selectAll(@Param(Constants.WRAPPER) Wrapper<Electrician> queryWrapper);
	@Select("select c.*,GROUP_CONCAT(a.`dictionaries_id`) `tag` from tb_electrician c left JOIN r_electrician_role a on (c.electrician_id = a.electrician_id) where c.electrician_id = #{id} group by c.electrician_id ")
	public Electrician queryById(@Param("id") Long id);
	
	@Select("select * from tb_electrician where service_provider_id in (select customer_id from tb_customer_company where type = 0 and sys_deleted = 0 and city_code = #{code}) and sys_deleted = 0")
	public List<Electrician> queryElectricianByServiceProviderCityCode(@Param("code") String cityCOde);
	
	@Select("select * from tb_electrician where electrician_id in (select electircian_id from r_electrician_electrician_group where electrician_group_id in (select electrician_group_id from tb_electrician_group where count_code = #{code} and sys_deleted = 0)) and sys_deleted = 0")
	public List<Electrician> queryElectricianByServiceProviderCountCode(@Param("code") String countCode);
	@Select("select * from tb_electrician where  electrician_id not in (select electircian_id from r_electrician_electrician_group where electrician_group_id in (select electrician_group_id from tb_electrician_group where service_provider_id = #{id} and electrician_group_id != #{groupId} and sys_deleted = 0)) and sys_deleted = 0 \r\n" + 
			"and service_provider_id = #{id}")
//	@Select("select * from tb_electrician where service_provider_id = #{id} and ")
//	@Select("select * from tb_electrician where service_provider_id = #{id} and sys_deleted = 0")
	public List<Electrician> queryElectricianByServiceProviderId(@Param("id") String serviceProviderId,@Param("groupId") String groupId);
	
	@Select("select c.electrician_id,c.service_provider_id,c.name,c.status,c.work_status, b.electrician_group_id from tb_electrician c left JOIN (select * from r_electrician_role GROUP BY id) a on (c.electrician_id = a.electrician_id) LEFT JOIN r_electrician_electrician_group b on (c.electrician_id = b.electircian_id) ${ew.customSqlSegment}")
	public List<Electrician> queryAccompanyingElectrician(@Param(Constants.WRAPPER) Wrapper<Electrician> queryWrapper);
	
	@Select("select discount from tb_customer_company  where customer_id = (select service_provider_id from tb_electrician where electrician_id = #{id} and sys_deleted = 0) and sys_deleted = 0")
	public String queryServiceProviderDiscountByElectricianId(@Param("id")String electricianId);

}
