package com.hp.user.service.dao;

import com.hp.user.service.entity.InspectionContent;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;

/**
 * <p>
 * 巡检内容 Mapper 接口
 * </p>
 *
 * @author yeqid
 * @since 2021-03-16
 */
public interface InspectionContentMapper extends BaseMapper<InspectionContent> {
	
	@Select("select b.* from r_device_type_test_content a LEFT JOIN tb_inspection_content b on (a.test_content_id = b.inspection_content_id) ${ew.customSqlSegment} ")
	public List<InspectionContent> queryInspectionContentListByDeviceTypeId(@Param(Constants.WRAPPER) Wrapper<InspectionContent> queryWrapper);
	
	@Select(" select b.* from r_device_type_test_content a LEFT JOIN tb_inspection_content b on (a.test_content_id = b.inspection_content_id) left join r_device_id_info c on (c.device_type_id = a.device_type_id) where c.device_id = ${deviceId}")
	public List<InspectionContent> queryContentByDeviceId(@Param("deviceId")String deviceId);

}
