package com.hp.user.service.dao;

import com.hp.user.service.entity.InspectionPlan;
import com.hp.user.service.entity.PlanForUser;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

/**
 * <p>
 * 巡检计划 Mapper 接口
 * </p>
 *
 * @author yeqid
 * @since 2021-03-10
 */
public interface InspectionPlanMapper extends BaseMapper<InspectionPlan> {
	
	public <E> Page<InspectionPlan> queryInspectionPlanByQuey(E page,@Param(Constants.WRAPPER) Wrapper<InspectionPlan> queryWrapper);
	
	@Select("select c.cycle_day,c.plan_id,a.station_id,a.`name`as station_name,c.plan_start,c.plan_end from tb_inspection_plan c left join r_plan_station d on (c.plan_id = d.plan_id) left join tb_station a on (a.station_id = d.station_id) where a.enterprise_id = #{companyId} and a.sys_deleted = 0 and c.sys_deleted = 0 ")
	public List<PlanForUser> queryInspectionPlanByCompanyId(@Param("companyId") String companyId);

}
