package com.hp.user.service.dao;

import com.hp.user.service.entity.Station;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * <p>
 * 站点信息 Mapper 接口
 * </p>
 *
 * @author 王怡静
 * @since 2020-11-20
 */
public interface StationMapper extends BaseMapper<Station> {
	
	@Select("select b.* from r_customer_service_provider_enterprise a LEFT JOIN tb_station b on (a.enterprise_id = b.enterprise_id) where service_provider_id = ${id} and sys_deleted = 0")
	public List<Station> queryStationsByServiceProviderId(@Param("id") String serviceProviderId);
	
	@Select("select * from tb_station where enterprise_id = #{id} and sys_deleted = 0")
	public List<String> queryStationIdsByCompanyId(@Param("id")String companyId);

}
