package com.hp.user.service.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;

/**
 * <p>
 * 区域表
 * </p>
 *
 * @author 王怡静
 * @since 2020-11-20
 */

//@EqualsAndHashCode(callSuper = false)
//@Accessors(chain = true)
@TableName("tb_area")
public class Area implements Serializable {
    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	/**
     * 地区Id
     */
    @TableId(value = "id")
    private String id;
    /**
     * 区划编码
     */
    private String code;
    /**
     * 行政区划名称
     */
    private String name;
    /**
     * 上级行政区划编号
     */
    private String parentCode;
    /**
     * 行政区划类型：01：省；02：市；03：区县；04：乡镇街道
     */
    private Short type;
    /**
     * 经度
     */
    private String longitude;
    /**
     * 纬度
     */
    private String latitude;
    /**
     * 行政首府
     */
    private String capital;

    public Area(){}

    public Area(String id, String code, String name, String parentCode, Short type, String longitude, String latitude, String capital) {
        this.id = id;
        this.code = code;
        this.name = name;
        this.parentCode = parentCode;
        this.type = type;
        this.longitude = longitude;
        this.latitude = latitude;
        this.capital = capital;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getParentCode() {
        return parentCode;
    }

    public void setParentCode(String parentCode) {
        this.parentCode = parentCode;
    }

    public Short getType() {
        return type;
    }

    public void setType(Short type) {
        this.type = type;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getCapital() {
        return capital;
    }

    public void setCapital(String capital) {
        this.capital = capital;
    }
}
