package com.hp.user.service.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * <p>
 * 电工表
 * </p>
 *
 * @author yeqid
 * @since 2020-12-02
 */
@Data
@Accessors(chain = true)
@TableName("tb_electrician")
public class Electrician implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 电工id
     */
    @TableId(value = "electrician_id")
    private String electricianId;

    /**
     * 关联用户id
     */
    private String userId;

    /**
     * 服务商id
     */
    private String serviceProviderId;

    /**
     * 电工姓名
     */
    private String name;
    /**
     * 手机号
     */
    private String phone;
    
    /**
     * 证书字典表id，多个用逗号隔开
     */
    @TableField(exist = false)
    private String dictionariesId;
    
    /**
     * 证书oss,多个用逗号隔开
     */
    private String certificateUrl;
    @TableField(exist = false)
    private List<ElectricianCertificate> certificateList;

    /**
     * 备注
     */
    private String remarks;
    
    /**
     * 电工状态；0:离岗；1：在岗
     */
    private Integer status;

    /**
     * 创建时间
     */
    private Date sysCreateTime;

    /**
     * 创建者
     */
    private Long sysCreator;

    /**
     * 修改时间
     */
    private Date sysUpdateTime;

    /**
     * 修改者
     */
    private Long sysUpdater;
    
    /**
     * 经度
     */
    private String lng;
    /**
     * 纬度
     */
    private String lat;

    /**
     * 是否删除，0（default）/1：未删除/删除
     */
    private Integer sysDeleted;
    
    private String cid;
    @TableField(exist = false)
    private String distance;
    @TableField(exist = false)
    private String tag;
    /**
     * 工作状态；0:空闲；1:忙碌
     */
    private Integer workStatus;
    /** 工龄*/
    private Integer workingYears;
    /** 开始工作时间*/
    private Long workingStart;
    
    private String portrait;
    @TableField(exist = false)
    private String electricianGroupId;
    
    @TableField(exist = false)
    private String serviceProviderName;
   
    public Electrician() {}
    
    public Electrician(String electricianId,String name,String dictionariesId,String certificateUrl,
    		String remarks,Integer status,String serviceProviderId) {
    	this.electricianId = electricianId;
    	this.name = name;
    	this.dictionariesId = dictionariesId;
    	this.certificateUrl = certificateUrl;
    	this.remarks = remarks;
    	this.status = status;
    	this.serviceProviderId = serviceProviderId;
    }


}
