package com.hp.user.service.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * <p>
 * 班组
 * </p>
 *
 * @author yeqid
 * @since 2020-12-04
 */
@Data
@Accessors(chain = true)
@TableName("tb_electrician_group")
public class ElectricianGroup implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 班组id
     */
    @TableId(value = "electrician_group_id")
    private String electricianGroupId;
    /**
     * 服务商id
     */
    private String serviceProviderId;

    /**
     * 组名
     */
    private String groupName;

    /**
     * 组长
     */
    private String groupLeader;
    
    /**
     * 组长名字
     */
    @TableField(exist = false)
    private String leaderName;
    @TableField(exist = false)
    private String teamMemberName;
    @TableField(exist = false)
    private String electricianId;
    
    private String cityCode;
    
    private String provinceCode;
    
    private String countCode;

    /**
     * 备注
     */
    private String remaks;

    /**
     * 更新时间
     */
    private Date sysUpdateTime;

    /**
     * 更新者
     */
    private String sysUpdater;

    /**
     * 创建时间
     */
    private Date sysCreateTime;

    /**
     * 创建者
     */
    private String sysCreator;
    
    private Integer sysDeleted;


}
