package com.hp.user.service.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 巡检结果
 * </p>
 *
 * @author yeqid
 * @since 2021-03-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_inspection_result")
@ApiModel(value="InspectionResult对象", description="巡检结果")
public class InspectionResult implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "巡检结果ID")
    @TableId(value = "result_id")
    private String resultId;

    @ApiModelProperty(value = "二次工单id")
    private String workOrderId;

    @ApiModelProperty(value = "设备id")
    private String deviceId;

    @ApiModelProperty(value = "巡检内容id")
    private String contentId;

    @ApiModelProperty(value = "巡检结果；1:正常；2异常")
    private Short result;

    @ApiModelProperty(value = "备注；有异常人工填写")
    private String remarks;

    @ApiModelProperty(value = "是否删除，0（default）/1：未删除/删除")
    private Short sysDeleted;

    @ApiModelProperty(value = "修改时间")
    private Date sysUpdateTime;

    private String sysUpdater;

    @ApiModelProperty(value = "创建时间")
    private Date sysCreateTime;

    @ApiModelProperty(value = "创建者")
    private String sysCreator;


}
