package com.hp.user.service.entity;


import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_low_voltage_cabinet")
@ApiModel(value="LowVoltageCabinet对象", description="低压柜")
public class LowVoltageCabinet {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	@ApiModelProperty(value = "柜id")
    @TableId(value = "device_id")
    private String deviceId;

    @ApiModelProperty(value = "设备名称")
    private String deviceName;

    @ApiModelProperty(value = "柜型，GCK，GGD,  GCS,  MNS,  GDFX,  L-21")
    private String cabinetModel;
    
    @ApiModelProperty(value = "总回路数")
    private String circuitTotal;

    @ApiModelProperty(value = "总负载率")
    private String loadRate;

    @ApiModelProperty(value = "表记型号")
    private String meterModel;

    @ApiModelProperty(value = "表记厂家")
    private String meterManufactor;

    @ApiModelProperty(value = "通讯类型")
    private String communicationType;

    @ApiModelProperty(value = "配电房id")
    private String substationId;

    @ApiModelProperty(value = "更新时间")
    private Date sysUpdateTime;

    @ApiModelProperty(value = "更新者")
    private String sysUpdater;

    @ApiModelProperty(value = "创建时间")
    private Date sysCreateTime;

    @ApiModelProperty(value = "创建者")
    private String sysCreator;
	
    @ApiModelProperty(value = "设备类型Id")
	private String deviceTypeId;
	@ApiModelProperty(value = "二维吗oss地址")
	private String ossUrl;

}
