package com.hp.user.service.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * <p>
 * 服务商用户信息表
 * </p>
 *
 * @author yeqid
 * @since 2021-01-14
 */
@Data
@Accessors(chain = true)
@TableName("tb_service_provider_account")
public class ServiceProviderAccount implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 用户id
     */
    @TableId(value="user_id")
    private String userId;

    /**
     * 用户名
     */
    private String userName;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 创建时间
     */
    private Date sysCreateTime;

    /**
     * 创建者
     */
    private String sysCreator;

    /**
     * 修改时间
     */
    private Date sysUpdateTime;

    /**
     * 修改者
     */
    private String sysUpdater;

    /**
     * 系统字段；0:表示正常；1:表示删除
     */
    private Integer sysDeleted;

    /**
     * 启用状态：0:启用；1：禁用
     */
    private Integer status;

    /**
     * 对应角色id
     */
    private String roleId;

    /**
     * 对应企业/服务商id
     */
    private String companyId;

    /**
     * 备注
     */
    private String remarks;


}
