package com.hp.user.service.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 站点信息
 * </p>
 *
 * @author 王怡静
 * @since 2020-11-20
 */

@TableName("tb_station")
public class Station implements Serializable {
    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	/**
     * 站点Id
     */
    @TableId(value = "station_id")
    private String stationId;
    /**
     * 站点名称
     */
    private String name;
    /**
     * 企业Id
     */
    private String enterpriseId;
    /**
     * 站点联系人
     */
    private String stationContact;
    /**
     * 电话号码
     */
    private String phone;
    /**
     * 地址
     */
    private String address;
    /**
     * 省份编码
     */
    private String provinceCode;
    /**
     * 城市编码
     */
    private String cityCode;
    /**
     * 区县编码
     */
    private String countCode;
    /**
     * 变压器容量
     */
    private BigDecimal capacity;

    /**
     * 创建时间
     */
    private Date sysCreateTime;
    /**
     * 创建用户Id
     */
    private String sysCreator;
    /**
     * 更新时间
     */
    private Date sysUpdateTime;
    /**
     * 更新用户Id
     */
    private String sysUpdater;
    /**
     * 是否被删除 0:正常；1:被删除
     */
    private Short sysDeleted;
    
    /** gcj02坐标系经度*/
    private String gcj02Lng;
    /** gcj02坐标系纬度*/
    private String gcj02Lat;
    
    /** 百度坐标系经度*/
    private String lng;
    /** 百度坐标系纬度*/
    private String lat;

    public Station(){}

    public Station(String stationId, String name, String enterpriseId, String stationContact, String phone, String address, String provinceCode, String cityCode, String countCode, BigDecimal capacity, Date sysCreateTime, String sysCreator, Date sysUpdateTime, String sysUpdater, Short sysDeleted) {
        this.stationId = stationId;
        this.name = name;
        this.enterpriseId = enterpriseId;
        this.stationContact = stationContact;
        this.phone = phone;
        this.address = address;
        this.provinceCode = provinceCode;
        this.cityCode = cityCode;
        this.countCode = countCode;
        this.capacity = capacity;
        this.sysCreateTime = sysCreateTime;
        this.sysCreator = sysCreator;
        this.sysUpdateTime = sysUpdateTime;
        this.sysUpdater = sysUpdater;
        this.sysDeleted = sysDeleted;
    }
    
    
    public String getLng() {
		return lng;
	}

	public void setLng(String lng) {
		this.lng = lng;
	}

	public String getLat() {
		return lat;
	}

	public void setLat(String lat) {
		this.lat = lat;
	}

	public String getGcj02Lng() {
		return gcj02Lng;
	}

	public void setGcj02Lng(String gcj02Lng) {
		this.gcj02Lng = gcj02Lng;
	}

	public String getGcj02Lat() {
		return gcj02Lat;
	}

	public void setGcj02Lat(String gcj02Lat) {
		this.gcj02Lat = gcj02Lat;
	}

	public String getStationId() {
        return stationId;
    }

    public void setStationId(String stationId) {
        this.stationId = stationId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getStationContact() {
        return stationContact;
    }

    public void setStationContact(String stationContact) {
        this.stationContact = stationContact;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getProvinceCode() {
        return provinceCode;
    }

    public void setProvinceCode(String provinceCode) {
        this.provinceCode = provinceCode;
    }

    public String getCityCode() {
        return cityCode;
    }

    public void setCityCode(String cityCode) {
        this.cityCode = cityCode;
    }

    public String getCountCode() {
        return countCode;
    }

    public void setCountCode(String countCode) {
        this.countCode = countCode;
    }

    public BigDecimal getCapacity() {
        return capacity;
    }

    public void setCapacity(BigDecimal capacity) {
        this.capacity = capacity;
    }

    public Date getSysCreateTime() {
        return sysCreateTime;
    }

    public void setSysCreateTime(Date sysCreateTime) {
        this.sysCreateTime = sysCreateTime;
    }

    public String getSysCreator() {
        return sysCreator;
    }

    public void setSysCreator(String sysCreator) {
        this.sysCreator = sysCreator;
    }

    public Date getSysUpdateTime() {
        return sysUpdateTime;
    }

    public void setSysUpdateTime(Date sysUpdateTime) {
        this.sysUpdateTime = sysUpdateTime;
    }

    public String getSysUpdater() {
        return sysUpdater;
    }

    public void setSysUpdater(String sysUpdater) {
        this.sysUpdater = sysUpdater;
    }

    public Short getSysDeleted() {
        return sysDeleted;
    }

    public void setSysDeleted(Short sysDeleted) {
        this.sysDeleted = sysDeleted;
    }
}
