package com.hp.user.service.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 勘察设备直流屏
 * </p>
 *
 * @author yeqid
 * @since 2021-03-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_survey_dc_screen")
@ApiModel(value="SurveyDcScreen对象", description="勘察设备直流屏")
public class SurveyDcScreen implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "直流屏id")
    @TableId(value = "device_id")
    private String deviceId;

    private String deviceName;

    @ApiModelProperty(value = "配电房id")
    private String substationId;

    @ApiModelProperty(value = "柜型：GZW直流屏")
    private String model;
    
    @ApiModelProperty(value = "GZW柜型数量")
    private Integer gzwModelNumber;
    
    @ApiModelProperty(value = "直流屏柜型数量")
    private Integer dsScreenModelNumber;

    @ApiModelProperty(value = "蓄电池型号")
    private String batteryModel;

    @ApiModelProperty(value = "更新时间")
    private Date sysUpdateTime;

    @ApiModelProperty(value = "更新者")
    private String sysUpdater;

    @ApiModelProperty(value = "创建时间")
    private Date sysCreateTime;

    @ApiModelProperty(value = "创建者")
    private String sysCreator;


}
