package com.hp.user.service.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 勘察设备高压开关
 * </p>
 *
 * @author yeqid
 * @since 2021-03-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_survey_high_voltage_switch")
@ApiModel(value="SurveyHighVoltageSwitch对象", description="勘察设备高压开关")
public class SurveyHighVoltageSwitchCabinet implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "柜id")
    @TableId(value = "device_id")
    private String deviceId;

    @ApiModelProperty(value = "设备名称")
    private String deviceName;

    @ApiModelProperty(value = "电压等级；10KV、20KV、35KV")
    private String voltageLevel;

    @ApiModelProperty(value = "型号；GG-1A，XGN，HXGN，JYN，KYN  SF6")
    private String model;
    
    @ApiModelProperty(value = "型号；GG-1A数量")
    private Integer gg1aModelNumber;
    
    @ApiModelProperty(value = "型号；XGN数量")
    private Integer xgnModelNumber;
    
    @ApiModelProperty(value = "型号；HXGN数量")
    private Integer hxgnModelNumber;
    
    @ApiModelProperty(value = "型号；JYN数量")
    private Integer jynModelNumber;
    
    @ApiModelProperty(value = "型号；KYN数量")
    private Integer kynModelNumber;
    
    @ApiModelProperty(value = "型号；SF6数量")
    private Integer sf6ModelNumber;
    

    @ApiModelProperty(value = "厂家")
    private String manufactor;

    @ApiModelProperty(value = "出厂年月")
    private String productionDate;

    @ApiModelProperty(value = "继电保护型号")
    private String relayProtectionModel;

    @ApiModelProperty(value = "继电保护厂家")
    private String relayProtectionManufactor;

    @ApiModelProperty(value = "继电保护通讯类型")
    private String communicationType;

    @ApiModelProperty(value = "配电房id")
    private String substationId;

    @ApiModelProperty(value = "更新时间")
    private Date sysUpdateTime;

    @ApiModelProperty(value = "更新者")
    private String sysUpdater;

    @ApiModelProperty(value = "创建时间")
    private Date sysCreateTime;

    @ApiModelProperty(value = "创建者")
    private String sysCreator;


}
