package com.hp.user.service.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 勘察设备无功补偿

 * </p>
 *
 * @author yeqid
 * @since 2021-03-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_survey_reactive_power_compensation")
@ApiModel(value="SurveyReactivePowerCompensation对象", description="勘察设备无功补偿")
public class SurveyReactivePowerCompensation implements Serializable {

    private static final Long serialVersionUID = 1L;

    @ApiModelProperty(value = "无功补偿设备id")
    @TableId(value = "device_id")
    private String deviceId;

    @ApiModelProperty(value = "设备名称")
    private String deviceName;

    @ApiModelProperty(value = "型号 GGJ")
    private String model;

    @ApiModelProperty(value = "补偿电容器")
    private String compensationCapacitor;

    @ApiModelProperty(value = "电抗器")
    private String reactor;

    @ApiModelProperty(value = "配电房id")
    private String substationId;

    @ApiModelProperty(value = "更新时间")
    private Date sysUpdateTime;

    @ApiModelProperty(value = "更新者")
    private String sysUpdater;

    @ApiModelProperty(value = "创建时间")
    private Date sysCreateTime;

    @ApiModelProperty(value = "创建者")
    private String sysCreator;


}
