package com.hp.user.service.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 勘察设备中配电房设备关系表
 * </p>
 *
 * @author yeqid
 * @since 2021-03-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("r_survey_substation_device")
@ApiModel(value="SurveySubstationDevice对象", description="勘察设备中配电房设备关系表")
public class SurveySubstationDevice implements Serializable {

    private static final long serialVersionUID = 1L;

    private String substationId;

    private String deviceId;

    @ApiModelProperty(value = "设备名称")
    private String deviceName;

    @ApiModelProperty(value = "表名")
    private String tableName;

    @ApiModelProperty(value = "更新时间")
    private Date sysUpdateTime;

    @ApiModelProperty(value = "更新者")
    private String sysUpdater;

    @ApiModelProperty(value = "创建时间")
    private Date sysCreateTime;

    @ApiModelProperty(value = "创建者")
    private String sysCreator;

    @ApiModelProperty(value = "/** 设备类型;13001:变压器、13002:高压开关柜、13003:低压开关柜、13004:无功补偿设备、13005:直流屏;*/")
    private String deviceType;


}
