package com.hp.user.service.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 勘察设备变压器

 * </p>
 *
 * @author yeqid
 * @since 2021-03-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_survey_transformer")
@ApiModel(value="SurveyTransformer对象", description="勘察设备变压器")
public class SurveyTransformer implements Serializable {

    private static final Long serialVersionUID = 1L;

    @ApiModelProperty(value = "变压器id")
    @TableId(value = "device_id")
    private String deviceId;

    @ApiModelProperty(value = "变压器名称")
    private String deviceName;

    @ApiModelProperty(value = "变压器等级；10kV；20kV；35KV")
    private String voltageLevel;

    
    @ApiModelProperty(value = "额定容量")
    private String ratedCapacity;
    
    @ApiModelProperty(value = "额定容量630数量")
    private Integer ratedCapacity630Number;
    
    @ApiModelProperty(value = "额定容量1000数量")
    private Integer ratedCapacity1000Number;
    
    @ApiModelProperty(value = "额定容量1250数量")
    private Integer ratedCapacity1250Number;
    
    @ApiModelProperty(value = "额定容量16000数量")
    private Integer ratedCapacity16000Number;

    @ApiModelProperty(value = "冷却方式；干式变压器、油浸式变压器、氟化物变压器")
    private String coolingMode;

    @ApiModelProperty(value = "变压器型号")
    private String model;

    @ApiModelProperty(value = "温控器型号")
    private String temperatureControllerMode;

    @ApiModelProperty(value = "温控器厂家")
    private String temperatureControllerManufactor;

    @ApiModelProperty(value = "通讯类别")
    private String communicationType;

    @ApiModelProperty(value = "配电房id")
    private String substationId;

    @ApiModelProperty(value = "更新时间")
    private Date sysUpdateTime;

    @ApiModelProperty(value = "更新者")
    private String sysUpdater;

    @ApiModelProperty(value = "创建时间")
    private Date sysCreateTime;

    @ApiModelProperty(value = "创建者")
    private String sysCreator;


}
