package com.hp.user.service.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 巡检内容
 * </p>
 *
 * @author yeqid
 * @since 2021-03-01
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("tb_test_content")
public class TestContent implements Serializable {

    private static final long serialVersionUID = 1L;
    @TableId(value="test_content_id")
    private String testContentId;

    /**
     * 检测内容
     */
    private String content;

    /**
     * 检测方式
     */
    private String way;

    /**
     * 检测标准
     */
    private String standard;

    /**
     * 检测结果
     */
    private String result;

    /**
     * 缺陷记录
     */
    private String defectRecord;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 二级检查项id
     */
    private String secondIds;

    /**
     * 是否删除，0（default）/1：未删除/删除
     */
    private Short sysDeleted;

    /**
     * 修改时间
     */
    private Date sysUpdateTime;

    private String sysUpdater;

    /**
     * 创建时间
     */
    private Date sysCreateTime;

    /**
     * 创建者
     */
    private String sysCreator;


}
