package com.hp.user.service.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 电压等级对应的设备类型
 * </p>
 *
 * @author yeqid
 * @since 2021-03-01
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("r_voltage_level_device_type")
public class VoltageLevelDeviceType implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 设备类型id
     */
    @TableId(value="device_type_id")
    private String deviceTypeId;

    /**
     * 电压等级
     */
    private String voltageLevel;

    /**
     * 设备类型名称
     */
    private String deviceTypeName;

    /**
     * 是否删除，0（default）/1：未删除/删除
     */
    private Short sysDeleted;

    /**
     * 修改时间
     */
    private Date sysUpdateTime;

    private String sysUpdater;

    /**
     * 创建时间
     */
    private Date sysCreateTime;

    /**
     * 创建者
     */
    private String sysCreator;


}
