package com.hp.user.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.hp.user.client.entity.AreaVO;
import com.hp.user.client.entity.ListResult;
import com.hp.user.client.service.UserAreaService;
import com.hp.user.service.entity.Area;
import com.hp.user.service.dao.AreaMapper;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.BeanUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * 区域表 服务实现类
 * </p>
 *
 * @author 王怡静
 * @since 2020-11-20
 */
@Service("area")
public class AreaServiceImpl implements UserAreaService {
	
	private final Logger logger = LoggerFactory.getLogger(this.getClass());
    @Autowired
    private AreaMapper areaMapper;

    @Override
    public ListResult<AreaVO> getAllArea() {
        List<AreaVO> areaVOs=new ArrayList<>();
        ListResult<AreaVO> result = new ListResult<>();
        try{
        	QueryWrapper<Area> queryWrapper = new QueryWrapper<Area>();
        	queryWrapper.eq("sys_record_status", 1);
            List<Area> areas = areaMapper.selectList(queryWrapper);
            AreaVO temp;
            for (Area area : areas){
                temp = new AreaVO();
                BeanUtils.copyProperties(area, temp);
                areaVOs.add(temp);
            }
            result.setCode("0");
            result.setDataList(areaVOs);
        }catch (Exception e){
        	logger.error("getAllArea have error={}",e);
			result.setCode("-1");
			result.setMessage("系统内部错误");
        }
        return result;
    }
}
