package com.hp.user.service.utils;

import org.apache.commons.lang3.StringUtils;
import org.gavaghan.geodesy.Ellipsoid;
import org.gavaghan.geodesy.GeodeticCalculator;
import org.gavaghan.geodesy.GeodeticCurve;
import org.gavaghan.geodesy.GlobalCoordinates;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;

public class MapUtil {
	
private static final String key = "dkPSGnbZmHMu2pG0Qa7GOgwBqX7t6GZo";

private static final String gaodekey = "1f6ad76580c81b1c9db3ffb00362c1bc";
	
	
//	key：I2mZeIrZkhnjubgn1FXUNgi1wykaGuUV
//	ios:v9et6MXCzzGKCEYGU5MsGrk9sKfmPvU1
//	android:xEp0WnhH343R6nWtSAUkz0sRnrIyjFOx
	
	/**
	 * 获取百度地图经纬度
	 * @param address
	 * @return
	 */
	public static JSONObject getLocation(String address) {
//		String address = "苍南县灵溪镇河口叶村38号";
//		String address = "拱墅区方家花苑35-2-1102";
//		String address = "杭州市临安区中天珺府";
//		String address = "余杭区融信沐澜";
//		String address = "余杭区东原印未来";
		String url = "http://api.map.baidu.com/geocoding/v3/?address="+address+"&output=json&ak="+key;
		String result = HttpRequestUtil.httpGet(url);
		JSONObject data = JSON.parseObject(result);
		Integer status = data.getInteger("status");
		JSONObject location = null;
		if(0 == status) {
			location = data.getJSONObject("result").getJSONObject("location");
		}else {
			System.out.println("address = "+address+";data="+data);
		}
		return location;
	}
	
	/**
	 * 根据经纬度获取城市编码
	 * @param location 经纬度格式为lat（经度）+","+lng（纬度）
	 * @return
	 */
	public static String getCityCode(String location) {
		
		String url = "http://api.map.baidu.com/reverse_geocoding/v3/?ak="+key+"&output=json&location="+location;
		String result = HttpRequestUtil.httpGet(url);
		JSONObject data = JSON.parseObject(result);
		Integer status = data.getInteger("status");
		String cityCode = null;
		if(0 == status) {
			cityCode = data.getJSONObject("result").getJSONObject("addressComponent").getString("adcode");
		}else {
			System.out.println("location:"+location+";data="+data);
		}
		return cityCode;
	}
	
	
	/**
	 * 获取2点之间点距离
	 * @param sourceLng
	 * @param sourceLat
	 * @param targerLng
	 * @param targerLat
	 * @return
	 */
	public static Double getDistance(Double sourceLng,Double sourceLat,String targerLng,String targerLat) {
		if(null == sourceLng || null == sourceLat || StringUtils.isBlank(targerLng) || StringUtils.isBlank(targerLat) ) {
			return null;
		}
		GlobalCoordinates source = new GlobalCoordinates(sourceLat, sourceLng);
	    GlobalCoordinates target = new GlobalCoordinates(Double.parseDouble(targerLat), Double.parseDouble(targerLng));

//	    double meter1 = getDistanceMeter(source, target, Ellipsoid.Sphere);
	    double meter2 = getDistanceMeter(target, source, Ellipsoid.WGS84);
	    return meter2;
	}
	
	private static double getDistanceMeter(GlobalCoordinates gpsFrom, GlobalCoordinates gpsTo, Ellipsoid ellipsoid){

        //创建GeodeticCalculator，调用计算方法，传入坐标系、经纬度用于计算距离
        GeodeticCurve geoCurve = new GeodeticCalculator().calculateGeodeticCurve(ellipsoid, gpsFrom, gpsTo);

        return geoCurve.getEllipsoidalDistance();
    }
	
	public static String getGcj02FromBaidu(String lng,String lat) {
		//116.481499,39.990475
		String url = "https://restapi.amap.com/v3/assistant/coordinate/convert?locations="+lng+","+lat+"&coordsys=baidu&output=JSON&key="+gaodekey;
		String result = HttpRequestUtil.httpGet(url);
		JSONObject data = JSON.parseObject(result);
		Integer status = data.getInteger("status");
		String locations = null;
		if(1 == status) {
			locations = data.getString("locations");
		}else {
			System.out.println("lng = "+lng+";lat="+lat+";data="+data);
		}
		return locations;
	}

}
