package com.hp.user.service.utils;

import java.awt.Color;
import java.awt.image.BufferedImage;
import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.IOException;
import java.util.HashMap;
import java.util.Map;

import javax.imageio.ImageIO;

import com.google.zxing.BarcodeFormat;
import com.google.zxing.EncodeHintType;
import com.google.zxing.client.j2se.MatrixToImageConfig;
import com.google.zxing.client.j2se.MatrixToImageWriter;
import com.google.zxing.common.BitMatrix;
import com.google.zxing.qrcode.QRCodeWriter;

public class QRCodeUtils {

	public static ByteArrayInputStream getInputStream(String deviceId) throws Exception {
		Map<EncodeHintType, Object> hints = new HashMap<>();
	    hints.put(EncodeHintType.CHARACTER_SET, "utf-8");
		QRCodeWriter qRCodeWriter = new QRCodeWriter();
	    BitMatrix bitMatrix = qRCodeWriter.encode(deviceId, BarcodeFormat.QR_CODE, 340, 340,hints);
	    BufferedImage  image = MatrixToImageWriter.toBufferedImage(bitMatrix,new MatrixToImageConfig(Color.BLACK.getRGB(), Color.WHITE.getRGB()));
//	    
	    ByteArrayOutputStream stream = new ByteArrayOutputStream();
		ImageIO.write(image, "png", stream);
		return new ByteArrayInputStream(stream.toByteArray());
	}
}
